Skip to main content
`Ctrl`+`K`

# is_weakly_connected

is_weakly_connected(G)

  Test directed graph for weak connectivity.

  A directed graph is weakly connected if and only if the graph is connected when the direction of the edge between nodes is ignored.

  Note that if a graph is strongly connected (i.e. the graph is connected even when we account for directionality), it is by definition weakly connected as well.

  Parameters:
    G NetworkX Graph

      A directed graph.

  Returns:
    connected bool

      True if the graph is weakly connected, False otherwise.

  Raises:
    NetworkXNotImplemented

      If G is undirected.

  See also

  `is_strongly_connected`
  `is_semiconnected`
  `is_connected`
  `is_biconnected`
  `weakly_connected_components`

  Notes

  For directed graphs only.

  Examples

      >>> G = nx.DiGraph([(0, 1), (2, 1)])
      >>> G.add_node(3)
      >>> nx.is_weakly_connected(G)  # node 3 is not connected to the graph
      False
      >>> G.add_edge(2, 3)
      >>> nx.is_weakly_connected(G)
      True